import { Auth, Resource } from '3a-common';
import { FormlyFieldConfig } from "@ngx-formly/core";
/**
 * User interface
 */
export interface User extends Auth.User {
    /**
     * Organizations ids that User belongs to
     */
    organizationsIds: string[];
}
/**
 * Organization interface
 */
export interface Organization extends Resource {
    /**
     * Users that belogs to the organization
     */
    usersIds: string[];
    /**
     * Required files to add a new element
     */
    elementsInfo: FormlyFieldConfig[][];
}
